Overdue tasks are not highlighted

2011-09-21 13:55 - Eugene Pisarev

Status: Closed Start date: 2011-09-21

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Themes Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.2.1

Description

In the "application.css" we have a class "issue-overdue":

.version-overdue a, .issue-overdue a, .project-overdue a {color: #f00;}

but in the "issue.rb" class name is "overdue":

s << ' overdue' if overdue?

Related issues:

Related to Redmine - Feature #2337: Highlight overdue Tickets Closed 2008-12-14

History

#1 - 2011-09-21 14:40 - Mischa The Evil

Eugene Pisarev wrote:

In the "application.css" we have a class "issue-overdue":

.version-overdue a, .issue-overdue a, .project-overdue a {color: #f00;}

 

This selector is only used on the gantt-chart where projects, versions and issues which are overdue are rendered using the appended

overdue-classes (i.e. with red text).

Eugene Pisarev wrote:

but in the "issue.rb" class name is "overdue":

s << ' overdue' if overdue?

 

This class is indeed used in the issue lists and detail views. Though it is currently not used by the themes bundled with Redmine.

You could use it yourself by adding styles like:

a.issue.overdue, a.issue.overdue:link, a.issue.overdue:visited { color: #f00; }

 Reference: #2337

#2 - 2011-09-21 14:51 - Mischa The Evil

- Status changed from New to Closed

- Resolution set to Invalid

Please re-open if needed.

#3 - 2011-09-21 15:21 - Eugene Pisarev

Maybe you should give us a list of the features not used in current themes?

I've spent a couple of hours to find why overdue tasks are not highlited!

#4 - 2011-10-18 11:50 - Влад Владыч

Good day!

Help me please. Is it any solution to highlight overdue issues in calendar?
#5 - 2011-10-18 17:16 - Mischa The Evil

Влад Владыч wrote:

Help me please. Is it any solution to highlight overdue issues in calendar?

 Yes, it is possible to add overdue-issue highlighting to the calendar-module only, in a custom theme, by adding the following styles (I'll write them

down completely for clarity):

table.cal tbody tr td div.issue.overdue a.issue.overdue,

table.cal tbody tr td div.issue.overdue a.issue.overdue:link,

table.cal tbody tr td div.issue.overdue a.issue.overdue:visited { color: #f00; }

#6 - 2011-10-19 06:33 - Влад Владыч

Thank you !But I have already add

a.issue.overdue { font-weight: bold; color:#e23209 }

and get red color in overdue tasks in calendar.

Can I highlight table cell ?

#7 - 2011-10-19 15:47 - Mischa The Evil

Влад Владыч wrote:

Can I highlight table cell ?

 Yes, using CSS you can do that too.

For example:

1. to create a red table border use the following style:

table.cal tbody tr td div.issue.overdue { border-color: #f00; }

2. to create a red background (ugly) use something like:

table.cal tbody tr td div.issue.overdue { background: #f00; }

#8 - 2011-12-23 06:06 - qazaswsx huang

Is it possible to highlight the overdue task in "Issues" column?

It's useful cause people usually only watch "Issues" list in the project.

#9 - 2014-12-01 11:24 - Stanislav German-Evtushenko

Hello,

qazaswsx huang wrote:

Is it possible to highlight the overdue task in "Issues" column?

It's useful cause people usually only watch "Issues" list in the project.

 I use the following CSS:

a.overdue { color: #f00; }

tr.overdue td.subject a { color: #f00; }

 It works for: Issues, Gantt, Calendar.

Best regards,

Stanislav German-Evtushenko
